=== modified file '__init__.py'
--- __init__.py	2008-04-16 17:23:57 +0000
+++ __init__.py	2008-04-29 08:17:01 +0000
@@ -317,7 +317,7 @@
         else:
             revision_id = getattr(tree, 'get_revision_id', lambda: None)()
 
-        window = GAnnotateWindow(all, plain)
+        window = GAnnotateWindow(all, plain, branch=br)
         window.connect("destroy", lambda w: gtk.main_quit())
         config = GAnnotateConfig(window)
         window.show()

=== modified file 'annotate/gannotate.py'
--- annotate/gannotate.py	2008-04-24 15:26:14 +0000
+++ annotate/gannotate.py	2008-04-29 08:17:01 +0000
@@ -45,9 +45,10 @@
 class GAnnotateWindow(Window):
     """Annotate window."""
 
-    def __init__(self, all=False, plain=False, parent=None):
+    def __init__(self, all=False, plain=False, parent=None, branch=None):
         self.all = all
         self.plain = plain
+        self._branch = branch
         
         Window.__init__(self, parent)
         
@@ -320,7 +321,7 @@
         return tv
 
     def _create_log_view(self):
-        lv = RevisionView()
+        lv = RevisionView(self._branch)
         lv.show()
         return lv
 

